> For the complete documentation index, see [llms.txt](https://developers-apps-in-toss.toss.im/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers-apps-in-toss.toss.im/documentation/api-and-sdk-en/sdk/domains-api/tosspay/tosspay.authorize.md).

# TossPay.authorize

> Functional API `checkoutPayment`You can use the same functionality with this as well. The function-based API is the same as v2 `{ params: { payToken } }` takes arguments in this form.

### Feature description

It opens the TossPay payment window and performs user authentication. When authentication is complete, it returns whether it succeeded.

Actual payment approval should be handled on the server `payToken`and handled separately.

### Type

```ts
TossPay.authorize(params: CheckoutPaymentOptions): Promise<CheckoutPaymentResult>;
```

**Params**

```ts
type CheckoutPaymentOptions = {
  /** This is the payment token. */
  payToken: string;
};
```

**Response**

```ts
type CheckoutPaymentResult = {
  /** Whether authentication succeeded. */
  success: boolean;
  /** The reason if authentication failed. */
  reason?: string;
};
```

### Example code

```js
import { TossPay } from "@apps-in-toss/web-framework";

async function handlePayment() {
  try {
    // In a real implementation, replace this with the API endpoint that creates the payment.
    const { payToken } = await fetch("/my-api/payment/create").then((res) =>
      res.json(),
    );

    const { success, reason } = await TossPay.authorize({ payToken });

    if (success) {
      // In a real implementation, replace this with the API endpoint that executes the payment.
      await fetch("/my-api/payment/execute", {
        method: "POST",
        body: JSON.stringify({ payToken }),
        headers: { "Content-Type": "application/json" },
      });
    } else {
      console.log("Authentication failed:", reason);
    }
  } catch (error) {
    An error occurred during payment authentication:
  }
}

document.querySelector("#pay-button").addEventListener("click", handlePayment);
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers-apps-in-toss.toss.im/documentation/api-and-sdk-en/sdk/domains-api/tosspay/tosspay.authorize.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
